Subject: bug#72344: [PATCH] Add a version of cl-once-only which handles lists of forms

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Aug 2024 19:20:01 +0300

> From: Thuna <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 15 Aug 2024 17:15:10 +0200
> 
> In the meanwhile, what do you think about the docstring?  It seems to me
> that it mentions what happens to FORMS more accurately, but if there are
> problems with it then I'll also need to look into changing that.

It still says something similar:

  +                                                         FORMS is
  +evaluated once during macroexpansion to obtain the list of forms.  In
  +the fully expanded code those forms will be evaluated once before BODY
  +and their results will be bound to fresh uninterned variables, one for
  +each form.

So I think we need to fix that as well.  I hope once we have the text
for the manual ready, it will be easier to figure out how to say the
same in the doc string.